Skip to content

Campaign Create/Modify

Request

Configure BYOA functionality at a Campaign Level

Security
oauth2
Path
campaign_idintegerrequired

Campaign ID

Bodyapplication/json

_

any
curl -i -X PUT \
  'https://api.byoa.mediamath.com/campaign_settings/{campaign_id}' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json'

Responses

Example using cURL:

$ curl -X PUT "https://api.byoa.mediamath.com/campaign_settings/999999" \
  -d '{
    "settings": [
      {
        "executor_id": 2,
        "high": 99,
        "low": 0,
        "model_id": "<ModelName>",
        "namespace": "<OrganizationID>"
      }
    ],
    "uuid_type": "UUID"
  }' \
  -H 'adama_session: <adama_session>'

Note that executor_id must be set to 2. This refers to the current version of the MediaMath BYOA Model executor.

Bodyapplication/json
dataArray of objects
metaobject
Response
{ "data": [ { … } ], "meta": { "status": "success" } }